.mySwiper {
  width: 100%;
  position: relative;
  aspect-ratio: 5/3;
  margin: 0;
  border-radius: 20px;
}

.mySwiper .swiper-slide {
  overflow: hidden;
}

.mySwiper .swiper-slide img {
  aspect-ratio: 5/3;
  object-fit: cover;
  display: block;
}

@media (max-width: 1024px) {
  .mySwiper {
    aspect-ratio: 3/3;
  }

  .mySwiper .swiper-slide img {
    aspect-ratio: 3/3;
  }
}

/* Bestående overlay över hela slidern */
.slider-global-overlay {
  position: absolute;
  inset: 0;
  z-index: 10;
  pointer-events: none; /* tillåt swipe/klick på slidern */
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  top: 50%;
  transform: translateY(-50%);
  position: absolute;
}

.overlay-title {
  color: #fff;
  line-height: 1.1;
  width: 100%;
  font-weight: 100 !important;
  text-transform: uppercase;
  font-style: italic;
  letter-spacing: 1px;
  word-spacing: -4px;
}

/* Pagination styling */
.swiper-pagination {
  position: static !important;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  width: 100%;
  margin-top: 20px;
  padding: 0;
}

.swiper-pagination-bullet {
  width: 8px;
  height: 8px;
  background-color: #000 !important;
  border-radius: 50%;
  opacity: 0.4;
  transition: all 0.3s ease;
  cursor: pointer;
  margin: 0 !important;
}

.swiper-pagination-bullet-active {
  background-color: #000 !important;
  opacity: 1;
  transform: scale(1.3);
}
